## GClueManager GClueManager |

## Functions

GDBusInterfaceInfo * | gclue_manager_interface_info ()
guint | gclue_manager_override_properties ()
void | gclue_manager_call_get_client ()
gboolean | gclue_manager_call_get_client_finish ()
gboolean | gclue_manager_call_get_client_sync ()
void | gclue_manager_call_add_agent ()
gboolean | gclue_manager_call_add_agent_finish ()
gboolean | gclue_manager_call_add_agent_sync ()
gboolean | gclue_manager_get_in_use ()
void | gclue_manager_set_in_use ()
guint | gclue_manager_get_available_accuracy_level ()
void | gclue_manager_set_available_accuracy_level ()

## Properties

guint | available-accuracy-level | Read / Write
gboolean | in-use | Read / Write

## Signals

gboolean | handle-add-agent | Run Last
gboolean | handle-create-client | Run Last
gboolean | handle-delete-client | Run Last
gboolean | handle-get-client | Run Last

## Object Hierarchy

        GInterface
        ╰── GClueManager
        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── GClueManagerSkeleton

## Description

## Functions

### gclue_manager_interface_info ()

    GDBusInterfaceInfo *
    gclue_manager_interface_info (void);

Gets a machine-readable description of the org.freedesktop.GeoClue2.Manager D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### gclue_manager_override_properties ()

    guint
    gclue_manager_override_properties (GObjectClass *klass,
                                       guint property_id_begin);

Overrides all GObject properties in the GClueManager interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### gclue_manager_call_get_client ()

    void
    gclue_manager_call_get_client (GClueManager *proxy,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously invokes the `GetClient()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `gclue_manager_call_get_client_finish()` to get the result of the operation.

See `gclue_manager_call_get_client_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A GClueManagerProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### gclue_manager_call_get_client_finish ()

    gboolean
    gclue_manager_call_get_client_finish (GClueManager *proxy,
                                          gchar **out_client,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `gclue_manager_call_get_client()`.

#### Parameters

proxy | A GClueManagerProxy. |
out_client | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `gclue_manager_call_get_client()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### gclue_manager_call_get_client_sync ()

    gboolean
    gclue_manager_call_get_client_sync (GClueManager *proxy,
                                        gchar **out_client,
                                        GCancellable *cancellable,
                                        GError **error);

Synchronously invokes the `GetClient()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `gclue_manager_call_get_client()` for the asynchronous version of this method.

#### Parameters

proxy | A GClueManagerProxy. |
out_client | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### gclue_manager_call_add_agent ()

    void
    gclue_manager_call_add_agent (GClueManager *proxy,
                                  const gchar *arg_id,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously invokes the `AddAgent()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `gclue_manager_call_add_agent_finish()` to get the result of the operation.

See `gclue_manager_call_add_agent_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A GClueManagerProxy. |
arg_id | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### gclue_manager_call_add_agent_finish ()

    gboolean
    gclue_manager_call_add_agent_finish (GClueManager *proxy,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an operation started with `gclue_manager_call_add_agent()`.

#### Parameters

proxy | A GClueManagerProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `gclue_manager_call_add_agent()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### gclue_manager_call_add_agent_sync ()

    gboolean
    gclue_manager_call_add_agent_sync (GClueManager *proxy,
                                       const gchar *arg_id,
                                       GCancellable *cancellable,
                                       GError **error);

Synchronously invokes the `AddAgent()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `gclue_manager_call_add_agent()` for the asynchronous version of this method.

#### Parameters

proxy | A GClueManagerProxy. |
arg_id | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### gclue_manager_get_in_use ()

    gboolean
    gclue_manager_get_in_use (GClueManager *object);

Gets the value of the "InUse" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GClueManager. |

#### Returns

The property value.

### gclue_manager_set_in_use ()

    void
    gclue_manager_set_in_use (GClueManager *object,
                              gboolean value);

Sets the "InUse" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GClueManager. |
value | The value to set. |

### gclue_manager_get_available_accuracy_level ()

    guint
    gclue_manager_get_available_accuracy_level
                                   (GClueManager *object);

Gets the value of the "AvailableAccuracyLevel" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GClueManager. |

#### Returns

The property value.

### gclue_manager_set_available_accuracy_level ()

    void
    gclue_manager_set_available_accuracy_level
                                   (GClueManager *object,
                                    guint value);

Sets the "AvailableAccuracyLevel" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GClueManager. |
value | The value to set. |

## Types and Values

## Property Details

### The `“available-accuracy-level”` property

      “available-accuracy-level” guint

Represents the D-Bus property "AvailableAccuracyLevel".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: 0

### The `“in-use”` property

      “in-use”                   gboolean

Represents the D-Bus property "InUse".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“handle-add-agent”` signal

    gboolean
    user_function (GClueManager          *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_id,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `AddAgent()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `gclue_manager_complete_add_agent()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A GClueManager. |
invocation | A GDBusMethodInvocation. |
arg_id | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-create-client”` signal

    gboolean
    user_function (GClueManager          *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `CreateClient()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `gclue_manager_complete_create_client()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A GClueManager. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-delete-client”` signal

    gboolean
    user_function (GClueManager          *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_client,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `DeleteClient()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `gclue_manager_complete_delete_client()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A GClueManager. |
invocation | A GDBusMethodInvocation. |
arg_client | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-get-client”` signal

    gboolean
    user_function (GClueManager          *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetClient()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `gclue_manager_complete_get_client()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A GClueManager. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last